Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPResourceLevelDefaults

    java.lang.Object
      org.apache.fop.afp.AFPResourceLevelDefaults

    public class AFPResourceLevelDefaults

extends java.lang.Object

This class holds resource levels defaults for the various resource types.

Constructor Summary
`AFPResourceLevelDefaults()` Creates a new instance with default values.

Method Summary
`AFPResourceLevel` | `getDefaultResourceLevel(byte type)` Returns the default resource level for a particular resource type.
`void` | `mergeFrom(AFPResourceLevelDefaults other)` Allows to merge the values from one instance into another.
`void` | `setDefaultResourceLevel(byte type, AFPResourceLevel level)` Sets the default resource level for a particular resource type.
`void` | `setDefaultResourceLevel(java.lang.String type, AFPResourceLevel level)` Sets the default resource level for a particular resource type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPResourceLevelDefaults

    public AFPResourceLevelDefaults()

  Creates a new instance with default values.

Method Detail

### setDefaultResourceLevel

    public void setDefaultResourceLevel(java.lang.String type,
                                        AFPResourceLevel level)

  Sets the default resource level for a particular resource type.

  Parameters:
    `type` - the resource type name
    `level` - the resource level

### setDefaultResourceLevel

    public void setDefaultResourceLevel(byte type,
                                        AFPResourceLevel level)

  Sets the default resource level for a particular resource type.

  Parameters:
    `type` - the resource type (`ResourceObject`.TYPE_*)
    `level` - the resource level

### getDefaultResourceLevel

    public AFPResourceLevel getDefaultResourceLevel(byte type)

  Returns the default resource level for a particular resource type.

  Parameters:
    `type` - the resource type (`ResourceObject`.TYPE_*)
  Returns:
    the default resource level

### mergeFrom

    public void mergeFrom(AFPResourceLevelDefaults other)

  Allows to merge the values from one instance into another. Values from the instance passed in as a parameter override values of this instance.

  Parameters:
    `other` - the other instance to get the defaults from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.